<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="xsi xsl">
	<xsl:param name="referentiel">constantes.sample</xsl:param>
	<xsl:output method="xml"/>
	<xsl:variable name="fileName">
		file://<xsl:value-of select="$referentiel"/>.xml</xsl:variable>
	<xsl:variable name="code">
		<xsl:value-of select="/lovs-sof/lov-sof/@code"/>
	</xsl:variable>
	<xsl:variable name="lang">
		<xsl:value-of select="/lovs-sof/lov-sof/@lang"/>
	</xsl:variable>
	<!-- traitement par défaut : copie des noeuds -->
	<xsl:template match="* | @* | comment() | text()">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text() | comment()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/">
		<constantes>
			<xsl:copy-of select="document($fileName)/constantes/*[not(name()='lovs-sof')]"/>
			<lovs-sof>
				<xsl:copy-of select="document($fileName)/constantes/lovs-sof/lov-sof[not(@code=$code and @lang=$lang)]"/>
				<xsl:copy>
					<xsl:apply-templates select="/lovs-sof/lov-sof[@code=$code][@lang=$lang]"/>
				</xsl:copy>
			</lovs-sof>
		</constantes>
	</xsl:template>
</xsl:stylesheet>
